Package weka.gui.beans

# Class FileEnvironmentField

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.EnvironmentField
weka.gui.beans.FileEnvironmentField

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `PropertyEditor`, `Serializable`, `Accessible`, `EnvironmentHandler`, `CustomPanelSupplier`

@Deprecated public class FileEnvironmentField extends EnvironmentField
Deprecated.
Widget that displays a label, editable combo box for selecting environment variables and a button for brining up a file browser. The user can enter arbitrary text, select an environment variable or a combination of both. Any variables are resolved (if possible) and resolved values are displayed in a tip-text.

This class is deprecated - use the version in weka.gui instead.

Version:
  $Revision: 14497 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class weka.gui.beans.EnvironmentField

  `EnvironmentField.WideComboBox`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileEnvironmentField()`
  Deprecated.
  Constructor
  `FileEnvironmentField(String label, int fileChooserType, boolean directoriesOnly)`
  Deprecated.
  Constructor
  `FileEnvironmentField(String label, Environment env)`
  Deprecated.
  `FileEnvironmentField(String label, Environment env, int fileChooserType)`
  Deprecated.
  Constructor
  `FileEnvironmentField(String label, Environment env, int fileChooserType, boolean directoriesOnly)`
  Deprecated.
  Constructor
  `FileEnvironmentField(Environment env)`
  Deprecated.
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFileFilter(FileFilter toSet)`
  Deprecated.
  Add a file filter to use
  `void`
  `removeNotify()`
  Deprecated.
  `void`
  `resetFileFilters()`
  Deprecated.
  Resets the list of choosable file filters.
  `void`
  `setEnabled(boolean enabled)`
  Deprecated.
  Set the enabled status of the combo box and button

  ### Methods inherited from class weka.gui.beans.EnvironmentField

  `addPropertyChangeListener, getAsText, getCustomEditor, getCustomPanel, getJavaInitializationString, getTags, getText, getValue, isPaintable, main, paintValue, removePropertyChangeListener, setAsText, setEditable, setEnvironment, setLabel, setText, setValue, supportsCustomEditor`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileEnvironmentField

    public FileEnvironmentField()
    Deprecated.
    Constructor

  - ### FileEnvironmentField

    public FileEnvironmentField(Environment env)
    Deprecated.
    Constructor
    Parameters:
      `env` - an Environment object to use

  - ### FileEnvironmentField

    public FileEnvironmentField(String label, Environment env)
    Deprecated.

  - ### FileEnvironmentField

    public FileEnvironmentField(String label, Environment env, int fileChooserType)
    Deprecated.
    Constructor
    Parameters:
      `label` - a label to display alongside the field.
      `env` - an Environment object to use.
      `fileChooserType` - the type of file chooser to use (either JFileChooser.OPEN_DIALOG or JFileChooser.SAVE_DIALOG)

  - ### FileEnvironmentField

    public FileEnvironmentField(String label, Environment env, int fileChooserType, boolean directoriesOnly)
    Deprecated.
    Constructor
    Parameters:
      `label` - a label to display alongside the field.
      `env` - an Environment object to use.
      `fileChooserType` - the type of file chooser to use (either JFileChooser.OPEN_DIALOG or JFileChooser.SAVE_DIALOG)
      `directoriesOnly` - true if file chooser should allow only directories to be selected

  - ### FileEnvironmentField

    public FileEnvironmentField(String label, int fileChooserType, boolean directoriesOnly)
    Deprecated.
    Constructor
    Parameters:
      `label` - a label to display alongside the field.
      `fileChooserType` - the type of file chooser to use (either JFileChooser.OPEN_DIALOG or JFileChooser.SAVE_DIALOG)

- ## Method Details

  - ### addFileFilter

    public void addFileFilter(FileFilter toSet)
    Deprecated.
    Add a file filter to use
    Parameters:
      `toSet` - the file filter to use

  - ### resetFileFilters

    public void resetFileFilters()
    Deprecated.
    Resets the list of choosable file filters.

  - ### removeNotify

    public void removeNotify()
    Deprecated.
    Overrides:
      `removeNotify` in class `JComponent`

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Deprecated.
    Set the enabled status of the combo box and button
    Overrides:
      `setEnabled` in class `EnvironmentField`
    Parameters:
      `enabled` - true if the combo box and button are to be enabled